# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define realname IMDbPY

Name:           python-imdb
Provides:       IMDbPY = %{version}-%{release}
Version:        4.0
Release:        5%{?dist}
Summary:        Retrieve and manage the data of the IMDb movie database

Group:          Development/Languages
License:        GPLv2+   
URL:            http://imdbpy.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/imdbpy/%{realname}-%{version}.tar.gz
#use system beautifulsoup
Patch0:         %{name}-%{version}-beautifulsoup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, python-setuptools

Requires:       python-sqlobject, python-lxml, python-BeautifulSoup

%description
IMDbPY is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.

IMDbPY is mainly a tool intended for programmers and developers, but
some example scripts are included.

%prep
%setup -qn %{realname}-%{version}
%patch0 -p0

#patch removes need for bundled beautifulsoup, so let's remove it
rm -f imdb/parser/http/bsouplxml/_bsoup.py

#fix end-of-line-encoding
%{__sed} -i 's/\r//' docs/imdbpy.cfg

%build

%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

#fix permissions
chmod 0755 $RPM_BUILD_ROOT%{python_sitearch}/imdb/parser/common/cutils.so

#Don't include these as binaries, rather include them as examples in documentation
#See debian for reference 
rm -rf $RPM_BUILD_ROOT%{_bindir}

mv bin examples
chmod 0644 examples/*

#don't include these twice
rm -f $RPM_BUILD_ROOT%{_prefix}/doc/*
rm -f $RPM_BUILD_ROOT%{_prefix}/etc/*

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/AUTHOR.txt docs/Changelog.txt docs/CONTRIBUTORS.txt docs/DISCLAIMER.txt docs/FAQS.txt docs/LICENSE.txt docs/README* docs/TODO.txt docs/imdbpy.cfg
%doc examples
%{python_sitearch}/*


%changelog
* Wed Apr 01 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 4.0-5
- Fix typo in Provides:

* Wed Apr 01 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 4.0-4
- Add Provides: upstream name
- Add missing python-setuptools buildrequires

* Wed Apr 01 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 4.0-2
- New upstream release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 22 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 3.8-3
- Add patch to use system BeautifulSoup
- Add beautifulsoup requires
- Fix bogus permission on cutils file

* Fri Dec 05 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 3.8-1
- Initial build
